## Week 2: Coding Intro, Projectiles and Collisions

### Description: 
Get familiar with GDScript, the coding language for Godot, by a series of fun exercises that show how to create various game mechanics by the use of code.

Learn the major principles of coding, as well as those specific to game development in Godot.

### Code Concepts:
* Data types and collections
* Operators and iteration
* Conditionals and logic
* Syntax and scope
* Custom signals
* Exports and decorators

Learn to apply physics forces vs scripted movements

Collision detection and reaction

### Development Exercise 1 - Cannon

Make a particle canon for you player using physics forces

### Exercise 2 - Jump Control

Enhance the jump of your player, including ground detection and “double jump” control
